%define apiver 3
%define majver %(echo %version | cut -d. -f 1)
Name:          libwnck
Version:       43.2
Release:       1mamba
Summary:       libwnck implements pagers, tasklists, and other such things
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnome.org
Source:        https://download.gnome.org/sources/libwnck/%{majver}/%{name}-%{version}.tar.xz
License:       LGPL
BuildRequires: pkgconfig
BuildRequires: gettext-devel
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: libXres-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libpango-devel
BuildRequires: libstartup-notification-devel
## AUTOBUILDREQ-END

%description
Libwnck (pronounced "libwink") is used to implement pagers, tasklists, and other such things.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libwnck (pronounced "libwink") is used to implement pagers, tasklists, and other such things.
This package contains static libraries and header files needed for development.

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{name} API documentation.


%prep
%setup -q

%build
%meson \
   -Dgtk_doc=true
   
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%meson_install

rm -f %{buildroot}%{_libdir}/*.la

%{find_lang} %{name} --all-name

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libwnck-%{apiver}.so.*
%{_libdir}/girepository-1.0/Wnck-*.typelib
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libwnck-?.?/libwnck
%{_includedir}/libwnck-?.?/libwnck/*.h
%{_bindir}/wnck-urgency-monitor
%{_bindir}/wnckprop
%{_libdir}/libwnck-%{apiver}.so
%{_datadir}/gir-1.0/Wnck-*.gir
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/%{name}-%{apiver}.0
%{_datadir}/gtk-doc/html/%{name}-%{apiver}.0/*

%changelog
* Wed Jan 15 2025 Automatic Build System <autodist@openmamba.org> 43.2-1mamba
- automatic version update by autodist

* Sun Oct 06 2024 Automatic Build System <autodist@openmamba.org> 43.1-1mamba
- automatic version update by autodist

* Sun Sep 18 2022 Automatic Build System <autodist@mambasoft.it> 43.0-1mamba
- automatic version update by autodist

* Sat May 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 40.1-1mamba
- update to 40.1

* Tue Feb 09 2021 Automatic Build System <autodist@mambasoft.it> 3.36.0-1mamba
- automatic version update by autodist

* Fri Nov 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.32.0-1mamba
- update to 3.32.0

* Tue Sep 02 2014 Automatic Build System <autodist@mambasoft.it> 3.4.9-1mamba
- automatic version update by autodist

* Mon Aug 26 2013 Automatic Build System <autodist@mambasoft.it> 3.4.7-1mamba
- automatic update by autodist

* Thu Aug 08 2013 Automatic Build System <autodist@mambasoft.it> 3.4.6-1mamba
- automatic update by autodist

* Fri Feb 08 2013 Automatic Build System <autodist@mambasoft.it> 3.4.5-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Automatic Build System <autodist@mambasoft.it> 3.4.4-1mamba
- automatic version update by autodist

* Tue Sep 04 2012 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Sat Aug 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.2-2mamba
- removed *.la file

* Mon May 14 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Sun Oct 16 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Sat Oct 01 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Tue May 24 2011 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic update by autodist

* Wed Apr 06 2011 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic update by autodist

* Wed Nov 17 2010 Automatic Build System <autodist@mambasoft.it> 2.30.6-1mamba
- automatic update to 2.30.6 by autodist

* Mon Oct 04 2010 Automatic Build System <autodist@mambasoft.it> 2.30.5-1mamba
- automatic update to 2.30.5 by autodist

* Wed Aug 04 2010 Automatic Build System <autodist@mambasoft.it> 2.30.3-1mamba
- automatic update to 2.30.3 by autodist

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2-1mamba
- automatic update to 2.30.2 by autodist

* Sat May 29 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.0-1mamba
- update to 2.30.0

* Sat Sep 26 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- automatic update to 2.28.0 by autodist

* Mon Jul 06 2009 Automatic Build System <autodist@mambasoft.it> 2.26.2-1mamba
- automatic update by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 2.26.1-2mamba
- automatic rebuild by autodist

* Fri Apr 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.1-1mamba
- automatic update by autodist

* Fri Mar 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- automatic update to 2.26.0 by autodist

* Wed Feb 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.2-1mamba
- automatic update by autodist

* Sun Oct 26 2008 gil <puntogil@libero.it> 2.24.1-1mamba
- update to 2.24.1

* Tue Oct 09 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.0-1mamba
- update to 2.20.0

* Tue Apr 10 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 2.18.0-1mamba
- update to version 2.18.0

* Fri Jan 12 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.16.2-1qilnx
- update to version 2.16.2 by autospec
- fixed build requirements

* Sun Sep 17 2006 Tiziano Pratellesi <info@mycare.it> 2.16.0-1qilnx
- update to version 2.16.0

* Tue Aug 30 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.2-1qilnx
- update to version 2.10.2 by autospec

* Fri Dec 03 2004 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.18-1qilnx
- package created by autospec
